Loading...
Searching...
No Matches
casacore::MSSysCalColumns Class Reference
ms package (libcasa_ms) » MeasurementSets_module

More...

`#include <MSSysCalColumns.h>`

## Public Member Functions

| MSSysCalColumns (const MSSysCal &msSysCal)
| Create a columns object that accesses the data in the specified Table.
| ~MSSysCalColumns ()
| The destructor does nothing special.
Bool | isNull () const
| Is this object defined?
ScalarColumn< Int > & | antennaId ()
| Access to required columns.
ScalarColumn< Int > & | feedId ()
ScalarColumn< Double > & | interval ()
ScalarQuantColumn< Double > & | intervalQuant ()
ScalarColumn< Int > & | spectralWindowId ()
ScalarColumn< Double > & | time ()
ScalarQuantColumn< Double > & | timeQuant ()
ScalarMeasColumn< MEpoch > & | timeMeas ()
ScalarColumn< Float > & | phaseDiff ()
| Access to optional columns.
ScalarQuantColumn< Float > & | phaseDiffQuant ()
ScalarColumn< Bool > & | phaseDiffFlag ()
ArrayColumn< Float > & | tant ()
ArrayQuantColumn< Float > & | tantQuant ()
ScalarColumn< Bool > & | tantFlag ()
ArrayColumn< Float > & | tantSpectrum ()
ArrayQuantColumn< Float > & | tantSpectrumQuant ()
ArrayColumn< Float > & | tantTsys ()
ScalarColumn< Bool > & | tantTsysFlag ()
ArrayColumn< Float > & | tantTsysSpectrum ()
ArrayColumn< Float > & | tcal ()
ArrayQuantColumn< Float > & | tcalQuant ()
ScalarColumn< Bool > & | tcalFlag ()
ArrayColumn< Float > & | tcalSpectrum ()
ArrayQuantColumn< Float > & | tcalSpectrumQuant ()
ArrayColumn< Float > & | trx ()
ArrayQuantColumn< Float > & | trxQuant ()
ScalarColumn< Bool > & | trxFlag ()
ArrayColumn< Float > & | trxSpectrum ()
ArrayQuantColumn< Float > & | trxSpectrumQuant ()
ArrayColumn< Float > & | tsky ()
ArrayQuantColumn< Float > & | tskyQuant ()
ScalarColumn< Bool > & | tskyFlag ()
ArrayColumn< Float > & | tskySpectrum ()
ArrayQuantColumn< Float > & | tskySpectrumQuant ()
ArrayColumn< Float > & | tsys ()
ArrayQuantColumn< Float > & | tsysQuant ()
ScalarColumn< Bool > & | tsysFlag ()
ArrayColumn< Float > & | tsysSpectrum ()
ArrayQuantColumn< Float > & | tsysSpectrumQuant ()
const ScalarColumn< Int > & | antennaId () const
| Const access to columns.
const ScalarColumn< Int > & | feedId () const
const ScalarColumn< Double > & | interval () const
const ScalarQuantColumn< Double > & | intervalQuant () const
const ScalarColumn< Int > & | spectralWindowId () const
const ScalarColumn< Double > & | time () const
const ScalarQuantColumn< Double > & | timeQuant () const
const ScalarMeasColumn< MEpoch > & | timeMeas () const
const ScalarColumn< Float > & | phaseDiff () const
| Const access to optional columns.
const ScalarQuantColumn< Float > & | phaseDiffQuant () const
const ScalarColumn< Bool > & | phaseDiffFlag () const
const ArrayColumn< Float > & | tant () const
const ArrayQuantColumn< Float > & | tantQuant () const
const ScalarColumn< Bool > & | tantFlag () const
const ArrayColumn< Float > & | tantSpectrum () const
const ArrayQuantColumn< Float > & | tantSpectrumQuant () const
const ArrayColumn< Float > & | tantTsys () const
const ScalarColumn< Bool > & | tantTsysFlag () const
const ArrayColumn< Float > & | tantTsysSpectrum () const
const ArrayColumn< Float > & | tcal () const
const ArrayQuantColumn< Float > & | tcalQuant () const
const ScalarColumn< Bool > & | tcalFlag () const
const ArrayColumn< Float > & | tcalSpectrum () const
const ArrayQuantColumn< Float > & | tcalSpectrumQuant () const
const ArrayColumn< Float > & | trx () const
const ArrayQuantColumn< Float > & | trxQuant () const
const ScalarColumn< Bool > & | trxFlag () const
const ArrayColumn< Float > & | trxSpectrum () const
const ArrayQuantColumn< Float > & | trxSpectrumQuant () const
const ArrayColumn< Float > & | tsky () const
const ArrayQuantColumn< Float > & | tskyQuant () const
const ScalarColumn< Bool > & | tskyFlag () const
const ArrayColumn< Float > & | tskySpectrum () const
const ArrayQuantColumn< Float > & | tskySpectrumQuant () const
const ArrayColumn< Float > & | tsys () const
const ArrayQuantColumn< Float > & | tsysQuant () const
const ScalarColumn< Bool > & | tsysFlag () const
const ArrayColumn< Float > & | tsysSpectrum () const
const ArrayQuantColumn< Float > & | tsysSpectrumQuant () const
rownr_t | nrow () const
| Convenience function that returns the number of rows in any of the columns.
void | setEpochRef (MEpoch::Types ref, Bool tableMustBeEmpty=True)
| set the epoch type for the TIME column.

## Protected Member Functions

| MSSysCalColumns ()
void | attach (const MSSysCal &msSysCal)

## Private Member Functions

| MSSysCalColumns (const MSSysCalColumns &)
MSSysCalColumns & | operator= (const MSSysCalColumns &)
void | attachOptionalCols (const MSSysCal &msSysCal)

## Private Attributes

Bool | isNull_p
ScalarColumn< Int > | antennaId_p
ScalarColumn< Int > | feedId_p
ScalarColumn< Double > | interval_p
ScalarColumn< Int > | spectralWindowId_p
ScalarColumn< Double > | time_p
ScalarColumn< Float > | phaseDiff_p
ScalarColumn< Bool > | phaseDiffFlag_p
ArrayColumn< Float > | tant_p
ScalarColumn< Bool > | tantFlag_p
ArrayColumn< Float > | tantSpectrum_p
ArrayColumn< Float > | tantTsys_p
ScalarColumn< Bool > | tantTsysFlag_p
ArrayColumn< Float > | tantTsysSpectrum_p
ArrayColumn< Float > | tcal_p
ScalarColumn< Bool > | tcalFlag_p
ArrayColumn< Float > | tcalSpectrum_p
ArrayColumn< Float > | trx_p
ScalarColumn< Bool > | trxFlag_p
ArrayColumn< Float > | trxSpectrum_p
ArrayColumn< Float > | tsky_p
ScalarColumn< Bool > | tskyFlag_p
ArrayColumn< Float > | tskySpectrum_p
ArrayColumn< Float > | tsys_p
ScalarColumn< Bool > | tsysFlag_p
ArrayColumn< Float > | tsysSpectrum_p
ScalarMeasColumn< MEpoch > | timeMeas_p
ScalarQuantColumn< Double > | intervalQuant_p
ScalarQuantColumn< Double > | timeQuant_p
ScalarQuantColumn< Float > | phaseDiffQuant_p
ArrayQuantColumn< Float > | tantQuant_p
ArrayQuantColumn< Float > | tantSpectrumQuant_p
ArrayQuantColumn< Float > | tcalQuant_p
ArrayQuantColumn< Float > | tcalSpectrumQuant_p
ArrayQuantColumn< Float > | trxQuant_p
ArrayQuantColumn< Float > | trxSpectrumQuant_p
ArrayQuantColumn< Float > | tskyQuant_p
ArrayQuantColumn< Float > | tskySpectrumQuant_p
ArrayQuantColumn< Float > | tsysQuant_p
ArrayQuantColumn< Float > | tsysSpectrumQuant_p

## Detailed Description

A class to provide easy access to MSSysCal columns

### Intended use:

Public interface

### Review Status

Reviewed By:
  Bob Garwood
Date Reviewed:
  1997/02/01

### Prerequisite

- MSSysCal
- ArrayColumn
- ScalarColumn

### Etymology

MSSysCalColumns stands for MeasurementSet SysCal Table columns.

### Synopsis

This class provides access to the columns in the MSSysCal Table, it does the declaration of all the Scalar and ArrayColumns with the correct types, so the application programmer doesn't have to worry about getting those right. There is an access function for every predefined column. Access to non-predefined columns will still have to be done with explicit declarations. See MSColumns for an example.

### Motivation

See MSColumns for the motivation.

Definition at line 75 of file MSSysCalColumns.h.

## Constructor & Destructor Documentation

## MSSysCalColumns() [1/3]

casacore::MSSysCalColumns::MSSysCalColumns | ( | const MSSysCal & | msSysCal | ) |

Create a columns object that accesses the data in the specified Table.

Referenced by MSSysCalColumns(), and operator=().

## ~MSSysCalColumns()

casacore::MSSysCalColumns::~MSSysCalColumns | ( |  | ) |

The destructor does nothing special.

## MSSysCalColumns() [2/3]

casacore::MSSysCalColumns::MSSysCalColumns | ( |  | ) |

protected

## MSSysCalColumns() [3/3]

casacore::MSSysCalColumns::MSSysCalColumns | ( | const MSSysCalColumns & |  | ) |

private

References MSSysCalColumns().

## Member Function Documentation

## antennaId() [1/2]

ScalarColumn< Int > & casacore::MSSysCalColumns::antennaId | ( |  | ) |

inline

Access to required columns.

Definition at line 89 of file MSSysCalColumns.h.

References antennaId_p.

## antennaId() [2/2]

const ScalarColumn< Int > & casacore::MSSysCalColumns::antennaId | ( |  | ) | const

inline

Const access to columns.

Definition at line 136 of file MSSysCalColumns.h.

References antennaId_p.

## attach()

void casacore::MSSysCalColumns::attach | ( | const MSSysCal & | msSysCal | ) |

protected

## attachOptionalCols()

void casacore::MSSysCalColumns::attachOptionalCols | ( | const MSSysCal & | msSysCal | ) |

private

## feedId() [1/2]

ScalarColumn< Int > & casacore::MSSysCalColumns::feedId | ( |  | ) |

inline

Definition at line 90 of file MSSysCalColumns.h.

References feedId_p.

## feedId() [2/2]

const ScalarColumn< Int > & casacore::MSSysCalColumns::feedId | ( |  | ) | const

inline

Definition at line 137 of file MSSysCalColumns.h.

References feedId_p.

## interval() [1/2]

ScalarColumn< Double > & casacore::MSSysCalColumns::interval | ( |  | ) |

inline

Definition at line 91 of file MSSysCalColumns.h.

References interval_p.

## interval() [2/2]

const ScalarColumn< Double > & casacore::MSSysCalColumns::interval | ( |  | ) | const

inline

Definition at line 138 of file MSSysCalColumns.h.

References interval_p.

## intervalQuant() [1/2]

ScalarQuantColumn< Double > & casacore::MSSysCalColumns::intervalQuant | ( |  | ) |

inline

Definition at line 92 of file MSSysCalColumns.h.

References intervalQuant_p.

## intervalQuant() [2/2]

const ScalarQuantColumn< Double > & casacore::MSSysCalColumns::intervalQuant | ( |  | ) | const

inline

Definition at line 139 of file MSSysCalColumns.h.

References intervalQuant_p.

## isNull()

Bool casacore::MSSysCalColumns::isNull | ( |  | ) | const

inline

Is this object defined?

(MSSysCal table is optional)

Definition at line 85 of file MSSysCalColumns.h.

References isNull_p.

Referenced by nrow().

## nrow()

rownr_t casacore::MSSysCalColumns::nrow | ( |  | ) | const

inline

Convenience function that returns the number of rows in any of the columns.

Returns zero if the object is null.

Definition at line 192 of file MSSysCalColumns.h.

References antennaId_p, and isNull().

## operator=()

MSSysCalColumns & casacore::MSSysCalColumns::operator= | ( | const MSSysCalColumns & |  | ) |

private

References MSSysCalColumns().

## phaseDiff() [1/2]

ScalarColumn< Float > & casacore::MSSysCalColumns::phaseDiff | ( |  | ) |

inline

Access to optional columns.

Definition at line 101 of file MSSysCalColumns.h.

References phaseDiff_p.

## phaseDiff() [2/2]

const ScalarColumn< Float > & casacore::MSSysCalColumns::phaseDiff | ( |  | ) | const

inline

Const access to optional columns.

Definition at line 150 of file MSSysCalColumns.h.

References phaseDiff_p.

## phaseDiffFlag() [1/2]

ScalarColumn< Bool > & casacore::MSSysCalColumns::phaseDiffFlag | ( |  | ) |

inline

Definition at line 103 of file MSSysCalColumns.h.

References phaseDiffFlag_p.

## phaseDiffFlag() [2/2]

const ScalarColumn< Bool > & casacore::MSSysCalColumns::phaseDiffFlag | ( |  | ) | const

inline

Definition at line 153 of file MSSysCalColumns.h.

References phaseDiffFlag_p.

## phaseDiffQuant() [1/2]

ScalarQuantColumn< Float > & casacore::MSSysCalColumns::phaseDiffQuant | ( |  | ) |

inline

Definition at line 102 of file MSSysCalColumns.h.

References phaseDiffQuant_p.

## phaseDiffQuant() [2/2]

const ScalarQuantColumn< Float > & casacore::MSSysCalColumns::phaseDiffQuant | ( |  | ) | const

inline

Definition at line 151 of file MSSysCalColumns.h.

References phaseDiffQuant_p.

## setEpochRef()

void casacore::MSSysCalColumns::setEpochRef | ( | MEpoch::Types | ref,
|  | Bool | tableMustBeEmpty = True )

set the epoch type for the TIME column.

Tip: In principle this function can only be used if the table is empty, otherwise already written values may thereafter have an incorrect reference, offset, or unit; However, it is possible that part of the table gets written before these values are known; In that case the reference, offset, or units can be set by using a False tableMustBeEmpty argument;

References casacore::ref(), and casacore::True.

## spectralWindowId() [1/2]

ScalarColumn< Int > & casacore::MSSysCalColumns::spectralWindowId | ( |  | ) |

inline

Definition at line 93 of file MSSysCalColumns.h.

References spectralWindowId_p.

## spectralWindowId() [2/2]

const ScalarColumn< Int > & casacore::MSSysCalColumns::spectralWindowId | ( |  | ) | const

inline

Definition at line 141 of file MSSysCalColumns.h.

References spectralWindowId_p.

## tant() [1/2]

ArrayColumn< Float > & casacore::MSSysCalColumns::tant | ( |  | ) |

inline

Definition at line 104 of file MSSysCalColumns.h.

References tant_p.

## tant() [2/2]

const ArrayColumn< Float > & casacore::MSSysCalColumns::tant | ( |  | ) | const

inline

Definition at line 154 of file MSSysCalColumns.h.

References tant_p.

## tantFlag() [1/2]

ScalarColumn< Bool > & casacore::MSSysCalColumns::tantFlag | ( |  | ) |

inline

Definition at line 106 of file MSSysCalColumns.h.

References tantFlag_p.

## tantFlag() [2/2]

const ScalarColumn< Bool > & casacore::MSSysCalColumns::tantFlag | ( |  | ) | const

inline

Definition at line 156 of file MSSysCalColumns.h.

References tantFlag_p.

## tantQuant() [1/2]

ArrayQuantColumn< Float > & casacore::MSSysCalColumns::tantQuant | ( |  | ) |

inline

Definition at line 105 of file MSSysCalColumns.h.

References tantQuant_p.

## tantQuant() [2/2]

const ArrayQuantColumn< Float > & casacore::MSSysCalColumns::tantQuant | ( |  | ) | const

inline

Definition at line 155 of file MSSysCalColumns.h.

References tantQuant_p.

## tantSpectrum() [1/2]

ArrayColumn< Float > & casacore::MSSysCalColumns::tantSpectrum | ( |  | ) |

inline

Definition at line 107 of file MSSysCalColumns.h.

References tantSpectrum_p.

## tantSpectrum() [2/2]

const ArrayColumn< Float > & casacore::MSSysCalColumns::tantSpectrum | ( |  | ) | const

inline

Definition at line 157 of file MSSysCalColumns.h.

References tantSpectrum_p.

## tantSpectrumQuant() [1/2]

ArrayQuantColumn< Float > & casacore::MSSysCalColumns::tantSpectrumQuant | ( |  | ) |

inline

Definition at line 108 of file MSSysCalColumns.h.

References tantSpectrumQuant_p.

## tantSpectrumQuant() [2/2]

const ArrayQuantColumn< Float > & casacore::MSSysCalColumns::tantSpectrumQuant | ( |  | ) | const

inline

Definition at line 158 of file MSSysCalColumns.h.

References tantSpectrumQuant_p.

## tantTsys() [1/2]

ArrayColumn< Float > & casacore::MSSysCalColumns::tantTsys | ( |  | ) |

inline

Definition at line 109 of file MSSysCalColumns.h.

References tantTsys_p.

## tantTsys() [2/2]

const ArrayColumn< Float > & casacore::MSSysCalColumns::tantTsys | ( |  | ) | const

inline

Definition at line 160 of file MSSysCalColumns.h.

References tantTsys_p.

## tantTsysFlag() [1/2]

ScalarColumn< Bool > & casacore::MSSysCalColumns::tantTsysFlag | ( |  | ) |

inline

Definition at line 110 of file MSSysCalColumns.h.

References tantTsysFlag_p.

## tantTsysFlag() [2/2]

const ScalarColumn< Bool > & casacore::MSSysCalColumns::tantTsysFlag | ( |  | ) | const

inline

Definition at line 161 of file MSSysCalColumns.h.

References tantTsysFlag_p.

## tantTsysSpectrum() [1/2]

ArrayColumn< Float > & casacore::MSSysCalColumns::tantTsysSpectrum | ( |  | ) |

inline

Definition at line 111 of file MSSysCalColumns.h.

References tantTsysSpectrum_p.

## tantTsysSpectrum() [2/2]

const ArrayColumn< Float > & casacore::MSSysCalColumns::tantTsysSpectrum | ( |  | ) | const

inline

Definition at line 162 of file MSSysCalColumns.h.

References tantTsysSpectrum_p.

## tcal() [1/2]

ArrayColumn< Float > & casacore::MSSysCalColumns::tcal | ( |  | ) |

inline

Definition at line 112 of file MSSysCalColumns.h.

References tcal_p.

## tcal() [2/2]

const ArrayColumn< Float > & casacore::MSSysCalColumns::tcal | ( |  | ) | const

inline

Definition at line 164 of file MSSysCalColumns.h.

References tcal_p.

## tcalFlag() [1/2]

ScalarColumn< Bool > & casacore::MSSysCalColumns::tcalFlag | ( |  | ) |

inline

Definition at line 114 of file MSSysCalColumns.h.

References tcalFlag_p.

## tcalFlag() [2/2]

const ScalarColumn< Bool > & casacore::MSSysCalColumns::tcalFlag | ( |  | ) | const

inline

Definition at line 166 of file MSSysCalColumns.h.

References tcalFlag_p.

## tcalQuant() [1/2]

ArrayQuantColumn< Float > & casacore::MSSysCalColumns::tcalQuant | ( |  | ) |

inline

Definition at line 113 of file MSSysCalColumns.h.

References tcalQuant_p.

## tcalQuant() [2/2]

const ArrayQuantColumn< Float > & casacore::MSSysCalColumns::tcalQuant | ( |  | ) | const

inline

Definition at line 165 of file MSSysCalColumns.h.

References tcalQuant_p.

## tcalSpectrum() [1/2]

ArrayColumn< Float > & casacore::MSSysCalColumns::tcalSpectrum | ( |  | ) |

inline

Definition at line 115 of file MSSysCalColumns.h.

References tcalSpectrum_p.

## tcalSpectrum() [2/2]

const ArrayColumn< Float > & casacore::MSSysCalColumns::tcalSpectrum | ( |  | ) | const

inline

Definition at line 167 of file MSSysCalColumns.h.

References tcalSpectrum_p.

## tcalSpectrumQuant() [1/2]

ArrayQuantColumn< Float > & casacore::MSSysCalColumns::tcalSpectrumQuant | ( |  | ) |

inline

Definition at line 116 of file MSSysCalColumns.h.

References tcalSpectrumQuant_p.

## tcalSpectrumQuant() [2/2]

const ArrayQuantColumn< Float > & casacore::MSSysCalColumns::tcalSpectrumQuant | ( |  | ) | const

inline

Definition at line 168 of file MSSysCalColumns.h.

References tcalSpectrumQuant_p.

## time() [1/2]

ScalarColumn< Double > & casacore::MSSysCalColumns::time | ( |  | ) |

inline

Definition at line 94 of file MSSysCalColumns.h.

References time_p.

## time() [2/2]

const ScalarColumn< Double > & casacore::MSSysCalColumns::time | ( |  | ) | const

inline

Definition at line 143 of file MSSysCalColumns.h.

References time_p.

## timeMeas() [1/2]

ScalarMeasColumn< MEpoch > & casacore::MSSysCalColumns::timeMeas | ( |  | ) |

inline

Definition at line 96 of file MSSysCalColumns.h.

References timeMeas_p.

## timeMeas() [2/2]

const ScalarMeasColumn< MEpoch > & casacore::MSSysCalColumns::timeMeas | ( |  | ) | const

inline

Definition at line 145 of file MSSysCalColumns.h.

References timeMeas_p.

## timeQuant() [1/2]

ScalarQuantColumn< Double > & casacore::MSSysCalColumns::timeQuant | ( |  | ) |

inline

Definition at line 95 of file MSSysCalColumns.h.

References timeQuant_p.

## timeQuant() [2/2]

const ScalarQuantColumn< Double > & casacore::MSSysCalColumns::timeQuant | ( |  | ) | const

inline

Definition at line 144 of file MSSysCalColumns.h.

References timeQuant_p.

## trx() [1/2]

ArrayColumn< Float > & casacore::MSSysCalColumns::trx | ( |  | ) |

inline

Definition at line 117 of file MSSysCalColumns.h.

References trx_p.

## trx() [2/2]

const ArrayColumn< Float > & casacore::MSSysCalColumns::trx | ( |  | ) | const

inline

Definition at line 170 of file MSSysCalColumns.h.

References trx_p.

## trxFlag() [1/2]

ScalarColumn< Bool > & casacore::MSSysCalColumns::trxFlag | ( |  | ) |

inline

Definition at line 119 of file MSSysCalColumns.h.

References trxFlag_p.

## trxFlag() [2/2]

const ScalarColumn< Bool > & casacore::MSSysCalColumns::trxFlag | ( |  | ) | const

inline

Definition at line 172 of file MSSysCalColumns.h.

References trxFlag_p.

## trxQuant() [1/2]

ArrayQuantColumn< Float > & casacore::MSSysCalColumns::trxQuant | ( |  | ) |

inline

Definition at line 118 of file MSSysCalColumns.h.

References trxQuant_p.

## trxQuant() [2/2]

const ArrayQuantColumn< Float > & casacore::MSSysCalColumns::trxQuant | ( |  | ) | const

inline

Definition at line 171 of file MSSysCalColumns.h.

References trxQuant_p.

## trxSpectrum() [1/2]

ArrayColumn< Float > & casacore::MSSysCalColumns::trxSpectrum | ( |  | ) |

inline

Definition at line 120 of file MSSysCalColumns.h.

References trxSpectrum_p.

## trxSpectrum() [2/2]

const ArrayColumn< Float > & casacore::MSSysCalColumns::trxSpectrum | ( |  | ) | const

inline

Definition at line 173 of file MSSysCalColumns.h.

References trxSpectrum_p.

## trxSpectrumQuant() [1/2]

ArrayQuantColumn< Float > & casacore::MSSysCalColumns::trxSpectrumQuant | ( |  | ) |

inline

Definition at line 121 of file MSSysCalColumns.h.

References trxSpectrumQuant_p.

## trxSpectrumQuant() [2/2]

const ArrayQuantColumn< Float > & casacore::MSSysCalColumns::trxSpectrumQuant | ( |  | ) | const

inline

Definition at line 174 of file MSSysCalColumns.h.

References trxSpectrumQuant_p.

## tsky() [1/2]

ArrayColumn< Float > & casacore::MSSysCalColumns::tsky | ( |  | ) |

inline

Definition at line 122 of file MSSysCalColumns.h.

References tsky_p.

## tsky() [2/2]

const ArrayColumn< Float > & casacore::MSSysCalColumns::tsky | ( |  | ) | const

inline

Definition at line 176 of file MSSysCalColumns.h.

References tsky_p.

## tskyFlag() [1/2]

ScalarColumn< Bool > & casacore::MSSysCalColumns::tskyFlag | ( |  | ) |

inline

Definition at line 124 of file MSSysCalColumns.h.

References tskyFlag_p.

## tskyFlag() [2/2]

const ScalarColumn< Bool > & casacore::MSSysCalColumns::tskyFlag | ( |  | ) | const

inline

Definition at line 178 of file MSSysCalColumns.h.

References tskyFlag_p.

## tskyQuant() [1/2]

ArrayQuantColumn< Float > & casacore::MSSysCalColumns::tskyQuant | ( |  | ) |

inline

Definition at line 123 of file MSSysCalColumns.h.

References tskyQuant_p.

## tskyQuant() [2/2]

const ArrayQuantColumn< Float > & casacore::MSSysCalColumns::tskyQuant | ( |  | ) | const

inline

Definition at line 177 of file MSSysCalColumns.h.

References tskyQuant_p.

## tskySpectrum() [1/2]

ArrayColumn< Float > & casacore::MSSysCalColumns::tskySpectrum | ( |  | ) |

inline

Definition at line 125 of file MSSysCalColumns.h.

References tskySpectrum_p.

## tskySpectrum() [2/2]

const ArrayColumn< Float > & casacore::MSSysCalColumns::tskySpectrum | ( |  | ) | const

inline

Definition at line 179 of file MSSysCalColumns.h.

References tskySpectrum_p.

## tskySpectrumQuant() [1/2]

ArrayQuantColumn< Float > & casacore::MSSysCalColumns::tskySpectrumQuant | ( |  | ) |

inline

Definition at line 126 of file MSSysCalColumns.h.

References tskySpectrumQuant_p.

## tskySpectrumQuant() [2/2]

const ArrayQuantColumn< Float > & casacore::MSSysCalColumns::tskySpectrumQuant | ( |  | ) | const

inline

Definition at line 180 of file MSSysCalColumns.h.

References tskySpectrumQuant_p.

## tsys() [1/2]

ArrayColumn< Float > & casacore::MSSysCalColumns::tsys | ( |  | ) |

inline

Definition at line 127 of file MSSysCalColumns.h.

References tsys_p.

## tsys() [2/2]

const ArrayColumn< Float > & casacore::MSSysCalColumns::tsys | ( |  | ) | const

inline

Definition at line 182 of file MSSysCalColumns.h.

References tsys_p.

## tsysFlag() [1/2]

ScalarColumn< Bool > & casacore::MSSysCalColumns::tsysFlag | ( |  | ) |

inline

Definition at line 129 of file MSSysCalColumns.h.

References tsysFlag_p.

## tsysFlag() [2/2]

const ScalarColumn< Bool > & casacore::MSSysCalColumns::tsysFlag | ( |  | ) | const

inline

Definition at line 184 of file MSSysCalColumns.h.

References tsysFlag_p.

## tsysQuant() [1/2]

ArrayQuantColumn< Float > & casacore::MSSysCalColumns::tsysQuant | ( |  | ) |

inline

Definition at line 128 of file MSSysCalColumns.h.

References tsysQuant_p.

## tsysQuant() [2/2]

const ArrayQuantColumn< Float > & casacore::MSSysCalColumns::tsysQuant | ( |  | ) | const

inline

Definition at line 183 of file MSSysCalColumns.h.

References tsysQuant_p.

## tsysSpectrum() [1/2]

ArrayColumn< Float > & casacore::MSSysCalColumns::tsysSpectrum | ( |  | ) |

inline

Definition at line 130 of file MSSysCalColumns.h.

References tsysSpectrum_p.

## tsysSpectrum() [2/2]

const ArrayColumn< Float > & casacore::MSSysCalColumns::tsysSpectrum | ( |  | ) | const

inline

Definition at line 185 of file MSSysCalColumns.h.

References tsysSpectrum_p.

## tsysSpectrumQuant() [1/2]

ArrayQuantColumn< Float > & casacore::MSSysCalColumns::tsysSpectrumQuant | ( |  | ) |

inline

Definition at line 131 of file MSSysCalColumns.h.

References tsysSpectrumQuant_p.

## tsysSpectrumQuant() [2/2]

const ArrayQuantColumn< Float > & casacore::MSSysCalColumns::tsysSpectrumQuant | ( |  | ) | const

inline

Definition at line 186 of file MSSysCalColumns.h.

References tsysSpectrumQuant_p.

## Member Data Documentation

## antennaId_p

ScalarColumn<Int> casacore::MSSysCalColumns::antennaId_p

private

Definition at line 226 of file MSSysCalColumns.h.

Referenced by antennaId(), antennaId(), and nrow().

## feedId_p

ScalarColumn<Int> casacore::MSSysCalColumns::feedId_p

private

Definition at line 227 of file MSSysCalColumns.h.

Referenced by feedId(), and feedId().

## interval_p

ScalarColumn<Double> casacore::MSSysCalColumns::interval_p

private

Definition at line 228 of file MSSysCalColumns.h.

Referenced by interval(), and interval().

## intervalQuant_p

ScalarQuantColumn<Double> casacore::MSSysCalColumns::intervalQuant_p

private

Definition at line 257 of file MSSysCalColumns.h.

Referenced by intervalQuant(), and intervalQuant().

## isNull_p

Bool casacore::MSSysCalColumns::isNull_p

private

Definition at line 223 of file MSSysCalColumns.h.

Referenced by isNull().

## phaseDiff_p

ScalarColumn<Float> casacore::MSSysCalColumns::phaseDiff_p

private

Definition at line 232 of file MSSysCalColumns.h.

Referenced by phaseDiff(), and phaseDiff().

## phaseDiffFlag_p

ScalarColumn<Bool> casacore::MSSysCalColumns::phaseDiffFlag_p

private

Definition at line 233 of file MSSysCalColumns.h.

Referenced by phaseDiffFlag(), and phaseDiffFlag().

## phaseDiffQuant_p

ScalarQuantColumn<Float> casacore::MSSysCalColumns::phaseDiffQuant_p

private

Definition at line 260 of file MSSysCalColumns.h.

Referenced by phaseDiffQuant(), and phaseDiffQuant().

## spectralWindowId_p

ScalarColumn<Int> casacore::MSSysCalColumns::spectralWindowId_p

private

Definition at line 229 of file MSSysCalColumns.h.

Referenced by spectralWindowId(), and spectralWindowId().

## tant_p

ArrayColumn<Float> casacore::MSSysCalColumns::tant_p

private

Definition at line 234 of file MSSysCalColumns.h.

Referenced by tant(), and tant().

## tantFlag_p

ScalarColumn<Bool> casacore::MSSysCalColumns::tantFlag_p

private

Definition at line 235 of file MSSysCalColumns.h.

Referenced by tantFlag(), and tantFlag().

## tantQuant_p

ArrayQuantColumn<Float> casacore::MSSysCalColumns::tantQuant_p

private

Definition at line 261 of file MSSysCalColumns.h.

Referenced by tantQuant(), and tantQuant().

## tantSpectrum_p

ArrayColumn<Float> casacore::MSSysCalColumns::tantSpectrum_p

private

Definition at line 236 of file MSSysCalColumns.h.

Referenced by tantSpectrum(), and tantSpectrum().

## tantSpectrumQuant_p

ArrayQuantColumn<Float> casacore::MSSysCalColumns::tantSpectrumQuant_p

private

Definition at line 262 of file MSSysCalColumns.h.

Referenced by tantSpectrumQuant(), and tantSpectrumQuant().

## tantTsys_p

ArrayColumn<Float> casacore::MSSysCalColumns::tantTsys_p

private

Definition at line 237 of file MSSysCalColumns.h.

Referenced by tantTsys(), and tantTsys().

## tantTsysFlag_p

ScalarColumn<Bool> casacore::MSSysCalColumns::tantTsysFlag_p

private

Definition at line 238 of file MSSysCalColumns.h.

Referenced by tantTsysFlag(), and tantTsysFlag().

## tantTsysSpectrum_p

ArrayColumn<Float> casacore::MSSysCalColumns::tantTsysSpectrum_p

private

Definition at line 239 of file MSSysCalColumns.h.

Referenced by tantTsysSpectrum(), and tantTsysSpectrum().

## tcal_p

ArrayColumn<Float> casacore::MSSysCalColumns::tcal_p

private

Definition at line 240 of file MSSysCalColumns.h.

Referenced by tcal(), and tcal().

## tcalFlag_p

ScalarColumn<Bool> casacore::MSSysCalColumns::tcalFlag_p

private

Definition at line 241 of file MSSysCalColumns.h.

Referenced by tcalFlag(), and tcalFlag().

## tcalQuant_p

ArrayQuantColumn<Float> casacore::MSSysCalColumns::tcalQuant_p

private

Definition at line 263 of file MSSysCalColumns.h.

Referenced by tcalQuant(), and tcalQuant().

## tcalSpectrum_p

ArrayColumn<Float> casacore::MSSysCalColumns::tcalSpectrum_p

private

Definition at line 242 of file MSSysCalColumns.h.

Referenced by tcalSpectrum(), and tcalSpectrum().

## tcalSpectrumQuant_p

ArrayQuantColumn<Float> casacore::MSSysCalColumns::tcalSpectrumQuant_p

private

Definition at line 264 of file MSSysCalColumns.h.

Referenced by tcalSpectrumQuant(), and tcalSpectrumQuant().

## time_p

ScalarColumn<Double> casacore::MSSysCalColumns::time_p

private

Definition at line 230 of file MSSysCalColumns.h.

Referenced by time(), and time().

## timeMeas_p

ScalarMeasColumn<MEpoch> casacore::MSSysCalColumns::timeMeas_p

private

Definition at line 254 of file MSSysCalColumns.h.

Referenced by timeMeas(), and timeMeas().

## timeQuant_p

ScalarQuantColumn<Double> casacore::MSSysCalColumns::timeQuant_p

private

Definition at line 258 of file MSSysCalColumns.h.

Referenced by timeQuant(), and timeQuant().

## trx_p

ArrayColumn<Float> casacore::MSSysCalColumns::trx_p

private

Definition at line 243 of file MSSysCalColumns.h.

Referenced by trx(), and trx().

## trxFlag_p

ScalarColumn<Bool> casacore::MSSysCalColumns::trxFlag_p

private

Definition at line 244 of file MSSysCalColumns.h.

Referenced by trxFlag(), and trxFlag().

## trxQuant_p

ArrayQuantColumn<Float> casacore::MSSysCalColumns::trxQuant_p

private

Definition at line 265 of file MSSysCalColumns.h.

Referenced by trxQuant(), and trxQuant().

## trxSpectrum_p

ArrayColumn<Float> casacore::MSSysCalColumns::trxSpectrum_p

private

Definition at line 245 of file MSSysCalColumns.h.

Referenced by trxSpectrum(), and trxSpectrum().

## trxSpectrumQuant_p

ArrayQuantColumn<Float> casacore::MSSysCalColumns::trxSpectrumQuant_p

private

Definition at line 266 of file MSSysCalColumns.h.

Referenced by trxSpectrumQuant(), and trxSpectrumQuant().

## tsky_p

ArrayColumn<Float> casacore::MSSysCalColumns::tsky_p

private

Definition at line 246 of file MSSysCalColumns.h.

Referenced by tsky(), and tsky().

## tskyFlag_p

ScalarColumn<Bool> casacore::MSSysCalColumns::tskyFlag_p

private

Definition at line 247 of file MSSysCalColumns.h.

Referenced by tskyFlag(), and tskyFlag().

## tskyQuant_p

ArrayQuantColumn<Float> casacore::MSSysCalColumns::tskyQuant_p

private

Definition at line 267 of file MSSysCalColumns.h.

Referenced by tskyQuant(), and tskyQuant().

## tskySpectrum_p

ArrayColumn<Float> casacore::MSSysCalColumns::tskySpectrum_p

private

Definition at line 248 of file MSSysCalColumns.h.

Referenced by tskySpectrum(), and tskySpectrum().

## tskySpectrumQuant_p

ArrayQuantColumn<Float> casacore::MSSysCalColumns::tskySpectrumQuant_p

private

Definition at line 268 of file MSSysCalColumns.h.

Referenced by tskySpectrumQuant(), and tskySpectrumQuant().

## tsys_p

ArrayColumn<Float> casacore::MSSysCalColumns::tsys_p

private

Definition at line 249 of file MSSysCalColumns.h.

Referenced by tsys(), and tsys().

## tsysFlag_p

ScalarColumn<Bool> casacore::MSSysCalColumns::tsysFlag_p

private

Definition at line 250 of file MSSysCalColumns.h.

Referenced by tsysFlag(), and tsysFlag().

## tsysQuant_p

ArrayQuantColumn<Float> casacore::MSSysCalColumns::tsysQuant_p

private

Definition at line 269 of file MSSysCalColumns.h.

Referenced by tsysQuant(), and tsysQuant().

## tsysSpectrum_p

ArrayColumn<Float> casacore::MSSysCalColumns::tsysSpectrum_p

private

Definition at line 251 of file MSSysCalColumns.h.

Referenced by tsysSpectrum(), and tsysSpectrum().

## tsysSpectrumQuant_p

ArrayQuantColumn<Float> casacore::MSSysCalColumns::tsysSpectrumQuant_p

private

Definition at line 270 of file MSSysCalColumns.h.

Referenced by tsysSpectrumQuant(), and tsysSpectrumQuant().

The documentation for this class was generated from the following file:

- ms/MeasurementSets/MSSysCalColumns.h